Subject: Ticket Assigned - Difficulty in placing an order through the app
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 01 Feb 2021 16:32:36 +0000

Hi Mohd Salman,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Difficulty in placing an order through the app Hi, I have been trying to place an order for days and it is not working!! 

Everytime I put my payment information I get an error! (Please refer to the attached screenshot) I changed the card and tried 2 more cards and still not working.. 
I think there is something wrong with the app.
Kindly advise, as it is really annoying. I have been trying for 3 days now!

Best regards,
Juician 

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2042667